%{?drupal7_find_provides_and_requires}

%global module_name entity

Name:          drupal7-%{module_name}
Version:       1.5
Release:       1%{?dist}
Summary:       Extends the entity API to provide a unified way to deal with entities

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module_name}
Source0:       http://ftp.drupal.org/files/projects/%{module_name}-7.x-%{version}.tar.gz
Source1:       %{name}-RPM-README.txt

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: drupal7-rpmbuild >= 7.23-3

# phpcompatinfo (computed from version 1.3)
Requires:      php-date
Requires:      php-pcre
Requires:      php-pdo
Requires:      php-spl

%description
This module extends the entity API of Drupal core in order to provide a unified
way to deal with entities and their properties. Additionally, it provides an
entity CRUD controller, which helps simplifying the creation of new entity
types.

This package provides the following Drupal modules:
* %{module_name}
* %{module_name}_token


%prep
%setup -q -n %{module_name}
cp -p %{SOURCE1} .

# Remove executable bit
chmod -x LICENSE.txt


%build
# Empty build section, nothing to build


%install
rm -rf %{buildroot}
mkdir -p -m 0755 %{buildroot}%{drupal7_modules}/%{module_name}
cp -pr * %{buildroot}%{drupal7_modules}/%{module_name}/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc *.txt
%{drupal7_modules}/%{module_name}
%exclude %{drupal7_modules}/%{module_name}/*.txt


%changelog
* Sat May 10 2014 Peter Borsa <peter.borsa@gmail.com> - 1.5-1
- Update to upstream 1.5 release for bug fixes
- Upstream changelog for this release is available at https://drupal.org/node/2236077

* Thu Jan 09 2014 Shawn Iwinski <shawn.iwinski@gmail.com> - 1.3-2
- Added provided modules to description

* Thu Jan 09 2014 Shawn Iwinski <shawn.iwinski@gmail.com> - 1.3-1
- Updated to 1.3 (release notes: https://drupal.org/node/2169589) (BZ #1050853)
- CVE-2014-1398, CVE-2014-1399, CVE-2014-1400 (BZ #1050802, 1050803, 1050804)
- SA-CONTRIB-2014-001 (https://drupal.org/node/2169595)
- Spec cleanup

* Fri Aug 16 2013 Peter Borsa <peter.borsa@gmail.com> - 1.2-1
- Update to upstream 1.2 release for security and bug fixes
- Upstream changelog for this release is available at https://drupal.org/node/2065197
- SA-CONTRIB-2013-068 https://drupal.org/node/2065207

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 12 2013 Peter Borsa <peter.borsa@gmail.com> - 1.1-1
- Update to upstream 1.1 release for bug fixes
- Upstream changelog for this release is avalble at https://drupal.org/node/1983440

* Sun Mar 17 2013 Peter Borsa <peter.borsa@gmail.com> - 1.0-1
- Update to 1.0
- Fix BZ 919025

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.6.rc3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.5.rc3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jun 19 2012 Scott Dodson <sdodson@redhat.com> - 1.0-0.4.rc3
- Update to 1.0-rc3

* Wed Apr 25 2012 Scott Dodson <sdodson@redhat.com> - 1.0-0.4.rc2
- Update to 1.0-rc2

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.4.rc1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 20 2011 Scott Dodson <sdodson@redhat.com> - 1.0-0.3.rc1
- Update to 1.0-rc1

* Fri Oct 28 2011 Scott Dodson <sdodson@redhat.com> - 1.0-0.2.beta11
- Fix description
- Update to beta11

* Wed Aug 31 2011 Scott Dodson <sdodson@redhat.com> - 1.0-0.1.beta10
- Initial Packaging
